Bug 1571231 - Controller node is stuck in reboot mode
Summary: Controller node is stuck in reboot mode
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Rajesh Tailor
QA Contact: nova-maint
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-24 11:16 UTC by Sasha Smolyak
Modified: 2019-09-09 16:08 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-16 08:46:01 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Sasha Smolyak 2018-04-24 11:16:36 UTC
Description of problem:
Node cannot reboot, is stuck in reboot mode

Version-Release number of selected component (if applicable):
Build 2018-04-19.2
openstack-nova-api-17.0.3-0.20180413225830.fda768b.el7ost.noarch
openstack-nova-conductor-17.0.3-0.20180413225830.fda768b.el7ost.noarch
python-novaclient-9.1.1-1.el7ost.noarch
openstack-nova-placement-api-17.0.3-0.20180413225830.fda768b.el7ost.noarch
openstack-nova-compute-17.0.3-0.20180413225830.fda768b.el7ost.noarch
python-nova-17.0.3-0.20180413225830.fda768b.el7ost.noarch
puppet-nova-12.4.1-0.20180413152104.a054a18.el7ost.noarch
openstack-nova-common-17.0.3-0.20180413225830.fda768b.el7ost.noarch
openstack-nova-scheduler-17.0.3-0.20180413225830.fda768b.el7ost.noarch


How reproducible:
100%

Steps to Reproduce:
1. Deploy overcloud
2. nova reboot <controller node> or openstack server reboot <controller node>
3.

Actual results:
Node is stuck in state "REBOOT", si not accessible from ssh. Have to reboot it from Machine Manager

Expected results:
Reboot is performed silently

Additional info:

Comment 1 Rajesh Tailor 2018-05-04 12:53:31 UTC
Hi,

I have tried to reproduce the issue by mentioned steps, but as expected the controller node comes to ACTIVE state in some time, after REBOOT.

Could you please try it on fresh deployment and check whether it is reproducible or not ?

Comment 2 Sasha Smolyak 2018-05-13 06:38:28 UTC
Doesn't happen anymore on the fresh puddle from 2018-05-03.2


Note You need to log in before you can comment on or make changes to this bug.